%define oname   ruby-openid

Name:       ruby-%{oname}
Version:    2.9.2
Release:    %mkrel 2
Summary:    A library for consuming and serving OpenID identities
License:    Apache Software License and Ruby License
Group:      Development/Ruby
URL:        https://github.com/openid/ruby-openid
Source0:    https://rubygems.org/downloads/%{oname}-%{version}.gem
BuildRequires: rubygems
BuildArch:  noarch

%description
A library for consuming and serving OpenID identities.

%files
%dir %{gem_instdir}/
%{gem_instdir}/lib
%doc %{gem_instdir}/*.md
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/NOTICE
%{gem_spec}

#-------------------------------------------------------------------------------
%package        doc
Summary:    Documentation for %{name}
Group:      Development/Ruby
Requires:   %{name} = %{version}-%{release}

%description    doc
Documents, Rdoc & RI documentation for %{name}.

%files          doc
%doc %{gem_docdir}
%doc README.md INSTALL.md LICENSE UPGRADE.md
%doc %{gem_instdir}/examples
%doc %{gem_instdir}/test
#-------------------------------------------------------------------------------

%prep
%gem_setup

%build
%gem_build

%install
%gem_install


%changelog
* Fri Mar 25 2022 umeabot <umeabot> 2.9.2-2.mga9
+ Revision: 1826520
- Mageia 9 Mass Rebuild

* Sat Mar 28 2020 pterjan <pterjan> 2.9.2-1.mga8
+ Revision: 1561453
- Update to 2.9.2

* Wed Feb 12 2020 umeabot <umeabot> 2.7.0-3.mga8
+ Revision: 1499929
- Mageia 8 Mass Rebuild

* Wed Sep 19 2018 umeabot <umeabot> 2.7.0-2.mga7
+ Revision: 1275231
- Mageia 7 Mass Rebuild

* Thu Feb 11 2016 pterjan <pterjan> 2.7.0-1.mga6
+ Revision: 955913
- Update to 2.7.0

* Wed Oct 15 2014 umeabot <umeabot> 2.5.0-3.mga5
+ Revision: 745679
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 2.5.0-2.mga5
+ Revision: 688943
- Mageia 5 Mass Rebuild

* Sun Jun 08 2014 pterjan <pterjan> 2.5.0-1.mga5
+ Revision: 634617
- 2.5.0

* Sun Dec 29 2013 pterjan <pterjan> 2.3.0-1.mga4
+ Revision: 563139
- Update to 2.3.0 with only fixes (including a security one)

* Sat Dec 28 2013 pterjan <pterjan> 2.2.2-6.mga4
+ Revision: 562455
- Fix gem macros

* Mon Oct 21 2013 umeabot <umeabot> 2.2.2-5.mga4
+ Revision: 538356
- Mageia 4 Mass Rebuild

* Sun Sep 29 2013 pterjan <pterjan> 2.2.2-4.mga4
+ Revision: 489349
- Use gem_setup
- Fix file list

* Fri Feb 08 2013 umeabot <umeabot> 2.2.2-3.mga3
+ Revision: 396400
- Rebuild for CVE-2013-0256

* Mon Jan 14 2013 umeabot <umeabot> 2.2.2-2.mga3
+ Revision: 381389
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Nov 04 2012 fwang <fwang> 2.2.2-1.mga3
+ Revision: 313685
- new version 2.2.2

* Sun Feb 13 2011 shikamaru <shikamaru> 2.1.8-1.mga1
+ Revision: 51297
- imported package ruby-ruby-openid


* Sun Feb 13 2011 Rémy Clouard <shikamaru@mandriva.org> - 2.1.8-1mdv2011.0
- Apply new ruby policy
- Apply general mageia rules
- New version 2.1.8

* Tue Dec 07 2010 Oden Eriksson <oeriksson@mandriva.com> 2.1.7-2mdv2011.0
+ Revision: 614796
- the mass rebuild of 2010.1 packages

* Wed Feb 03 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.1.7-1mdv2010.1
+ Revision: 500503
- import rubygem-ruby-openid


* Mon Feb  3 2010 Per Øyvind Karlsen <peroyvind@mandriva.org> 2.1.7-1
- initial release
